% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lmtp-package.R
\docType{package}
\name{lmtp-package}
\alias{lmtp}
\alias{lmtp-package}
\title{lmtp: Non-Parametric Causal Effects of Feasible Interventions Based on Modified Treatment Policies}
\description{
Non-parametric estimators for casual effects based on longitudinal modified treatment 
  policies as described in Diaz, Williams, and Hoffman (<arXiv:2006.01366>), traditional point treatment, 
  and traditional longitudinal effects. Continuous, binary, and categorical treatments are allowed as well are 
  censored outcomes. The treatment mechanism is estimated via a density ratio classification procedure 
  irrespective of treatment variable type. For both continuous and binary outcomes, additive treatment effects 
  can be calculated and relative risks and odds ratios may be calculated for binary outcomes. Estimation is enhanced 
  using the Super Learner from 'sl3' available for download from GitHub using 'remotes::install_github("tlverse/sl3@devel")'.
}
\author{
\strong{Maintainer}: Nicholas Williams \email{niw4001@med.cornell.edu} (\href{https://orcid.org/0000-0002-1378-4831}{ORCID}) [copyright holder]

Authors:
\itemize{
  \item Iván Díaz \email{ild2005@med.cornell.edu} (\href{https://orcid.org/0000-0001-9056-2047}{ORCID}) [copyright holder]
}

}
\keyword{internal}
